[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

SDL + X static library fix stalled until automake fixed



automake 1.4 is not compatible with automake 1.5:

(among other errors)

/bin/sh ../libtool --mode=link gcc  -g -O2 -Wall -DENABLE_DUMMYVIDEO -DDISKAUD_SUPPORT -DUSE_ASMBLIT -I./hermes -I../src/hermes -DOSS_SUPPORT -DALSA_SUPPORT -DARTSC_SUPPORT -I/usr/include/kde/artsc -DESD_SUPPORT   -I/usr/X11R6/include -DENABLE_X11 -DXFREE86_VM -DXFREE86_VMGAMMA -DXFREE86_DGAMOUSE -DDEFAULT_DGAMOUSE -DXFREE86_XV -DENABLE_DGA -DENABLE_FBCON  -I/usr/X11R6/include -DENABLE_GGI -DENABLE_SVGALIB -DENABLE_AALIB -DHAVE_OPENGL -D_REENTRANT -DSDL_USE_PTHREADS -I../include -I../include/SDL -I../src -I../src/linux -I../src/main -I../src/audio -I../src/video -I../src/events -I../src/joystick -I../src/cdrom -I../src/thread -I../src/timer -I../src/endian -I../src/file   -o libSDL.la -rpath /usr/lib -release 1.2 -version-info 0:2:0 SDL.lo SDL_error.lo SDL_fatal.lo SDL_getenv.lo main/libarch.la audio/libaudio.la video/libvideo.la events/libevents.la joystick/libjoystick.la cdrom/libcdrom.la thread/libthread.la timer/libtimer.la endian/libendian.la file/libfile.la hermes/libhermes.la -lm -lasound -L/usr/lib -ldl -lartsc -DPIC -fPIC -lpthread -L/usr/lib -lesd -laudiofile -lm  -L/usr/X11R6/lib -lX11 -lXext -lXxf86vm -lXxf86dga -lXv -lggi -lgii -lgg -lvga -laa -ldl
../libtool: CC: command not found
../libtool: test: =: unary operator expected
../libtool: test: !=: unary operator expected
../libtool: test: !=: unary operator expected
../libtool: test: =: unary operator expected
../libtool: test: !=: unary operator expected
../libtool: test: !=: unary operator expected
../libtool: test: =: unary operator expected
../libtool: test: !=: unary operator expected
../libtool: test: !=: unary operator expected
../libtool: test: =: unary operator expected
../libtool: test: !=: unary operator expected
../libtool: test: =: unary operator expected
../libtool: test: !=: unary operator expected
../libtool: test: !=: unary operator expected
../libtool: test: =: unary operator expected
../libtool: test: !=: unary operator expected
../libtool: test: !=: unary operator expected
../libtool: test: =: unary operator expected
../libtool: test: !=: unary operator expected
../libtool: test: !=: unary operator expected
../libtool: test: =: unary operator expected
../libtool: test: !=: unary operator expected
../libtool: test: !=: unary operator expected
../libtool: test: =: unary operator expected
../libtool: test: !=: unary operator expected
../libtool: test: !=: unary operator expected
../libtool: test: =: unary operator expected
../libtool: test: !=: unary operator expected
../libtool: test: !=: unary operator expected
../libtool: test: =: unary operator expected
../libtool: test: !=: unary operator expected
../libtool: test: !=: unary operator expected

SDL and dependent libraries use automake 1.4.  However, the automake
package maintainer intends for automake 1.5 to supersede 1.4 completely,
rendering some source packages unbuildable.

See:

http://bugs.debian.org/cgi-bin/bugreport.cgi?archive=no\&bug=114481

and

http://bugs.debian.org/cgi-bin/bugreport.cgi?archive=no\&bug=114130

For further information.

My fix for the SDL libraries is on hold until this matter is resolved.

-- 
G. Branden Robinson                |     What influenced me to atheism was
Debian GNU/Linux                   |     reading the Bible cover to cover.
branden@debian.org                 |     Twice.
http://people.debian.org/~branden/ |     -- J. Michael Straczynski

Attachment: pgpQTAydW9PGS.pgp
Description: PGP signature


Reply to: